Page MenuHomePhabricator

UniversalLanguageSelector Event Platform Migration
Closed, ResolvedPublic

Event Timeline

Ottomata created this task.Nov 5 2020, 4:50 PM
Restricted Application added a project: Analytics. · View Herald TranscriptNov 5 2020, 4:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ottomata renamed this task from UniversalLanguageSelector to Event Platform Migration to UniversalLanguageSelector Event Platform Migration.Nov 5 2020, 4:51 PM

@nshahquinn-wmf
Let us know if this schema needs client IP and/or geocoded data? If not, it will be removed as part of this migration.

Ottomata moved this task from Incoming to Event Platform on the Analytics board.Nov 16 2020, 4:41 PM

@nshahquinn-wmf
Let us know if this schema needs client IP and/or geocoded data? If not, it will be removed as part of this migration.

You can remove all of it!

Hello! @nshahquinn-wmf would you be ok with me migrating this schema this week? We try to give folks at least a weeks notice but another schema I was going to migrate has to be postponed.

Change 655495 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[schemas/event/secondary@master] Add UniversalLanguageSelector to analytics/legacy

https://gerrit.wikimedia.org/r/655495

Change 655495 merged by Ottomata:
[schemas/event/secondary@master] Add UniversalLanguageSelector to analytics/legacy

https://gerrit.wikimedia.org/r/655495

Change 655497 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Migrate UniversalLanguageSelector to Event Platform

https://gerrit.wikimedia.org/r/655497

Change 655497 merged by Ottomata:
[operations/mediawiki-config@master] Migrate UniversalLanguageSelector to Event Platform

https://gerrit.wikimedia.org/r/655497

The first steps are done. Tomorrow (after JS caches have updated and all events come through EventGate), I'll proceed with the finalization.

(FYI: Neil approved this migration to me in Slack)

Change 655658 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Finalize migration of UniversalLanguageSelector to event platform

https://gerrit.wikimedia.org/r/655658

Change 655658 merged by Ottomata:
[operations/puppet@production] Finalize migration of UniversalLanguageSelector to event platform

https://gerrit.wikimedia.org/r/655658

Status: Waiting for https://gerrit.wikimedia.org/r/c/mediawiki/extensions/UniversalLanguageSelector/+/655659 to go out with train this week, then can remove EventLoggingSchemas mw-config override.

Ottomata updated the task description. (Show Details)Jan 20 2021, 3:59 PM

Change 657688 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Remove migrated EventLoggingSchemas overrides

https://gerrit.wikimedia.org/r/657688

Change 657688 merged by Ottomata:
[operations/mediawiki-config@master] Remove migrated EventLoggingSchemas overrides

https://gerrit.wikimedia.org/r/657688

Mentioned in SAL (#wikimedia-operations) [2021-01-25T14:37:46Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove 2 Remove migrated EventLoggingSchemas overrides - T259163, T267352 (duration: 00m 56s)

Ottomata updated the task description. (Show Details)Jan 25 2021, 2:38 PM
Ottomata closed this task as Resolved.Tue, Feb 23, 2:47 PM
Ottomata claimed this task.